Bug 1226168 - Do not allow detach-tier commands on a non tiered volume
Summary: Do not allow detach-tier commands on a non tiered volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: RHGS 3.1.0
Assignee: Mohammed Rafi KC
QA Contact: Nag Pavan Chilakam
URL:
Whiteboard: TIERING
Depends On: 1221270
Blocks: 1202842 1221967
TreeView+ depends on / blocked
 
Reported: 2015-05-29 06:23 UTC by Mohammed Rafi KC
Modified: 2016-09-17 15:35 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1221270
Environment:
Last Closed: 2015-07-29 04:54:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description Mohammed Rafi KC 2015-05-29 06:23:15 UTC
+++ This bug was initially created as a clone of Bug #1221270 +++

Description of problem:

Operations like detach-tier commit gives success for a non-tiered volume also 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.create a tired volume
2.detach the tier
3.again try to detach (detach-tier commit)

Actual results:


Expected results:


Additional info:

--- Additional comment from Anand Avati on 2015-05-13 11:15:37 EDT ---

REVIEW: http://review.gluster.org/10773 (tier: Do not allow detach-tier commands on a non-tiered volume) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Anand Avati on 2015-05-28 01:29:49 EDT ---

REVIEW: http://review.gluster.org/10773 (tier: Do not allow detach-tier commands on a non-tiered volume) posted (#2) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

--- Additional comment from Anand Avati on 2015-05-28 10:01:32 EDT ---

COMMIT: http://review.gluster.org/10773 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit 3cb713f2aec3c2191cf8fd2df830b92bf3ad92d4
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Wed May 13 20:33:45 2015 +0530

    tier: Do not allow detach-tier commands on a non-tiered volume
    
    Change-Id: Ic92d25db68e40ef4a4388ef42affd1b3ee5a7ec6
    BUG: 1221270
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Reviewed-on: http://review.gluster.org/10773
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System

Comment 4 Triveni Rao 2015-06-12 04:32:59 UTC
this bug is verified and found no issues.

[root@rhsqa14-vm1 ~]# gluster v detach-tier moon start
volume detach-tier start: failed: volume moon is not a tier volume
[root@rhsqa14-vm1 ~]#

Comment 5 Triveni Rao 2015-06-12 11:28:21 UTC
[root@rhsqa14-vm1 ~]# glusterfs --version
glusterfs 3.7.1 built on Jun  9 2015 02:31:54
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2013 Red Hat, Inc. <http://www.redhat.com/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.
[root@rhsqa14-vm1 ~]# rpm -qa | grep gluster
glusterfs-3.7.1-1.el6rhs.x86_64
glusterfs-cli-3.7.1-1.el6rhs.x86_64
glusterfs-libs-3.7.1-1.el6rhs.x86_64
glusterfs-client-xlators-3.7.1-1.el6rhs.x86_64
glusterfs-fuse-3.7.1-1.el6rhs.x86_64
glusterfs-server-3.7.1-1.el6rhs.x86_64
glusterfs-api-3.7.1-1.el6rhs.x86_64
[root@rhsqa14-vm1 ~]#

Comment 6 errata-xmlrpc 2015-07-29 04:54:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.